Name:           python-pytest-relaxed
Version:        2.0.0
Release:    1%{?dist}
Summary:        Relaxed test discovery/organization for pytest

License:        BSD-2-Clause
URL:            https://github.com/bitprophet/pytest-relaxed
Source0:         %{url}/archive/%{version}/pytest-relaxed-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
This package provides relaxed test discovery for pytest.

It is the spiritual successor to python3-spec, but is built for pytest instead
of nosetests, and rethinks some aspects of the design (such as increased
ability to opt-in to various behaviors).}

%description %_description

%package -n python3-pytest-relaxed
Summary:        %{summary}

%description -n python3-pytest-relaxed %_description


%prep
%autosetup -p1 -n pytest-relaxed-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pytest_relaxed


%check
%pytest


%files -n python3-pytest-relaxed -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-1
- initial build
